Summary: NIS (or YP) client programs.
Name: yp-tools
Version: 2.4
Release: 1
Group: System Environment/Base
Copyright: GNU
Url: http://www.suse.de/~kukuk/nis/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/yp-tools-%{version}.tar.gz
Buildroot: /var/tmp/yp-tools-root
Requires: ypbind

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package's NIS implementation is based on FreeBSD's YP and is a
special port for glibc 2.x and libc versions 5.4.21 and later.  This
package only provides the NIS client programs.  In order to use the
clients, you'll need to already have an NIS server running on your
network. An NIS server is provided in the ypserv package.

Install the yp-tools package if you need NIS client programs for machines
on your network.  You will also need to install the ypbind package on
every machine running NIS client programs.  If you need an NIS server,
you'll need to install the ypserv package on one machine on the network.


%prep
%setup -q


%build
# --disable-domainname turns off installing /bin/{yp,nis,}domainname
# because net-tools already provides them.
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--disable-nls --disable-domainname
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc etc/nsswitch.conf
/usr/bin/*
/usr/man/man*/*
/usr/sbin/*
/var/yp/nicknames


%clean
rm -rf $RPM_BUILD_ROOT

